LineDialog Class Reference

Line options dialog. More...

`#include <LineDialog.h>`

Inheritance diagram for LineDialog:

## Public Types

enum | Unit { ScaleCoordinates, Pixels }

## Public Slots

void | accept ()
void | apply ()
void | displayCoordinates (int unit)
void | enableButtonDefault (QWidget *w)
void | setDefaultValues ()

## Public Member Functions

void | enableHeadTab ()
void | initGeometryTab ()
| LineDialog (ArrowMarker *line, QWidget *parent=0, Qt::WFlags fl=0)
void | setCoordinates (int unit)

## Private Attributes

QComboBox * | attachToBox
QSpinBox * | boxHeadAngle
QSpinBox * | boxHeadLength
QPushButton * | btnApply
QPushButton * | btnOk
QPushButton * | buttonDefault
ColorButton * | colorBox
QCheckBox * | endBox
QCheckBox * | filledBox
QWidget * | geometry
QWidget * | head
ArrowMarker * | lm
QWidget * | options
QCheckBox * | startBox
PenStyleBox * | styleBox
QTabWidget * | tw
QComboBox * | unitBox
DoubleSpinBox * | widthBox
DoubleSpinBox * | xEndBox
QSpinBox * | xEndPixelBox
DoubleSpinBox * | xStartBox
QSpinBox * | xStartPixelBox
DoubleSpinBox * | yEndBox
QSpinBox * | yEndPixelBox
DoubleSpinBox * | yStartBox
QSpinBox * | yStartPixelBox

## Detailed Description

Line options dialog.

## Member Enumeration Documentation

## Unit

enum LineDialog::Unit

Enumerator
ScaleCoordinates |
Pixels |

## Constructor & Destructor Documentation

## LineDialog()

LineDialog::LineDialog | ( | ArrowMarker * | line,
|  | QWidget * | parent = `0`,
|  | Qt::WFlags | fl = `0`
| ) |  |

References accept(), apply(), boxHeadAngle, boxHeadLength, btnApply, btnOk, buttonDefault, ArrowMarker::color(), colorBox, enableButtonDefault(), enableHeadTab(), endBox, ArrowMarker::filledArrowHead(), filledBox, ArrowMarker::hasEndArrow(), ArrowMarker::hasStartArrow(), head, ArrowMarker::headAngle(), ArrowMarker::headLength(), initGeometryTab(), lm, options, ColorButton::setColor(), setDefaultValues(), DoubleSpinBox::setRange(), DoubleSpinBox::setSingleStep(), PenStyleBox::setStyle(), DoubleSpinBox::setValue(), startBox, ArrowMarker::style(), styleBox, tw, ArrowMarker::width(), and widthBox.

## Member Function Documentation

## accept

void LineDialog::accept | ( |  | ) |

slot

References apply().

Referenced by LineDialog().

## apply

void LineDialog::apply | ( |  | ) |

slot

References attachToBox, boxHeadAngle, boxHeadLength, ColorButton::color(), colorBox, ArrowMarker::drawEndArrow(), ArrowMarker::drawStartArrow(), enableHeadTab(), endBox, ArrowMarker::fillArrowHead(), ArrowMarker::filledArrowHead(), filledBox, geometry, head, ArrowMarker::headAngle(), ArrowMarker::headLength(), lm, options, ArrowMarker::setAttachPolicy(), ArrowMarker::setColor(), setCoordinates(), ArrowMarker::setHeadAngle(), ArrowMarker::setHeadLength(), ArrowMarker::setStyle(), ArrowMarker::setWidth(), startBox, PenStyleBox::style(), styleBox, tw, unitBox, DoubleSpinBox::value(), and widthBox.

Referenced by accept(), and LineDialog().

## displayCoordinates

void LineDialog::displayCoordinates | ( | int | unit | ) |

slot

References ArrowMarker::endPoint(), ArrowMarker::endPointCoord(), lm, ScaleCoordinates, DoubleSpinBox::setValue(), ArrowMarker::startPoint(), ArrowMarker::startPointCoord(), xEndBox, xEndPixelBox, xStartBox, xStartPixelBox, yEndBox, yEndPixelBox, yStartBox, and yStartPixelBox.

Referenced by initGeometryTab().

## enableButtonDefault

void LineDialog::enableButtonDefault | ( | QWidget * | w | ) |

slot

References buttonDefault, and geometry.

Referenced by LineDialog().

## enableHeadTab()

void LineDialog::enableHeadTab | ( |  | ) |

References endBox, head, startBox, and tw.

Referenced by apply(), and LineDialog().

## initGeometryTab()

void LineDialog::initGeometryTab | ( |  | ) |

References ArrowMarker::attachPolicy(), attachToBox, displayCoordinates(), geometry, lm, DoubleSpinBox::setDecimals(), tw, unitBox, xEndBox, xEndPixelBox, xStartBox, xStartPixelBox, yEndBox, yEndPixelBox, yStartBox, and yStartPixelBox.

Referenced by LineDialog().

## setCoordinates()

void LineDialog::setCoordinates | ( | int | unit | ) |

References lm, ScaleCoordinates, ArrowMarker::setEndPoint(), ArrowMarker::setStartPoint(), DoubleSpinBox::value(), xEndBox, xEndPixelBox, xStartBox, xStartPixelBox, yEndBox, yEndPixelBox, yStartBox, and yStartPixelBox.

Referenced by apply().

## setDefaultValues

void LineDialog::setDefaultValues | ( |  | ) |

slot

References boxHeadAngle, boxHeadLength, ColorButton::color(), colorBox, filledBox, ApplicationWindow::setArrowDefaultSettings(), PenStyleBox::style(), styleBox, DoubleSpinBox::value(), and widthBox.

Referenced by LineDialog().

## Member Data Documentation

## attachToBox

QComboBox* LineDialog::attachToBox

private

Referenced by apply(), and initGeometryTab().

## boxHeadAngle

QSpinBox* LineDialog::boxHeadAngle

private

Referenced by apply(), LineDialog(), and setDefaultValues().

## boxHeadLength

QSpinBox * LineDialog::boxHeadLength

private

Referenced by apply(), LineDialog(), and setDefaultValues().

## btnApply

QPushButton* LineDialog::btnApply

private

Referenced by LineDialog().

## btnOk

QPushButton* LineDialog::btnOk

private

Referenced by LineDialog().

## buttonDefault

QPushButton* LineDialog::buttonDefault

private

Referenced by enableButtonDefault(), and LineDialog().

## colorBox

ColorButton* LineDialog::colorBox

private

Referenced by apply(), LineDialog(), and setDefaultValues().

## endBox

QCheckBox* LineDialog::endBox

private

Referenced by apply(), enableHeadTab(), and LineDialog().

## filledBox

QCheckBox * LineDialog::filledBox

private

Referenced by apply(), LineDialog(), and setDefaultValues().

## geometry

QWidget * LineDialog::geometry

private

Referenced by apply(), enableButtonDefault(), and initGeometryTab().

## head

QWidget * LineDialog::head

private

Referenced by apply(), enableHeadTab(), and LineDialog().

## lm

ArrowMarker* LineDialog::lm

private

Referenced by apply(), displayCoordinates(), initGeometryTab(), LineDialog(), and setCoordinates().

## options

QWidget* LineDialog::options

private

Referenced by apply(), and LineDialog().

## startBox

QCheckBox* LineDialog::startBox

private

Referenced by apply(), enableHeadTab(), and LineDialog().

## styleBox

PenStyleBox* LineDialog::styleBox

private

Referenced by apply(), LineDialog(), and setDefaultValues().

## tw

QTabWidget* LineDialog::tw

private

Referenced by apply(), enableHeadTab(), initGeometryTab(), and LineDialog().

## unitBox

QComboBox* LineDialog::unitBox

private

Referenced by apply(), and initGeometryTab().

## widthBox

DoubleSpinBox* LineDialog::widthBox

private

Referenced by apply(), LineDialog(), and setDefaultValues().

## xEndBox

DoubleSpinBox * LineDialog::xEndBox

private

Referenced by displayCoordinates(), initGeometryTab(), and setCoordinates().

## xEndPixelBox

QSpinBox * LineDialog::xEndPixelBox

private

Referenced by displayCoordinates(), initGeometryTab(), and setCoordinates().

## xStartBox

DoubleSpinBox* LineDialog::xStartBox

private

Referenced by displayCoordinates(), initGeometryTab(), and setCoordinates().

## xStartPixelBox

QSpinBox* LineDialog::xStartPixelBox

private

Referenced by displayCoordinates(), initGeometryTab(), and setCoordinates().

## yEndBox

DoubleSpinBox * LineDialog::yEndBox

private

Referenced by displayCoordinates(), initGeometryTab(), and setCoordinates().

## yEndPixelBox

QSpinBox * LineDialog::yEndPixelBox

private

Referenced by displayCoordinates(), initGeometryTab(), and setCoordinates().

## yStartBox

DoubleSpinBox * LineDialog::yStartBox

private

Referenced by displayCoordinates(), initGeometryTab(), and setCoordinates().

## yStartPixelBox

QSpinBox * LineDialog::yStartPixelBox

private

Referenced by displayCoordinates(), initGeometryTab(), and setCoordinates().

The documentation for this class was generated from the following files:

- qtiplot/src/plot2D/dialogs/LineDialog.h
- qtiplot/src/plot2D/dialogs/LineDialog.cpp